<?php

namespace Drupal\cryptolog\Tests;

/**
 * Tests Cryptolog with the Memcache Storage contributed module.
 *
 * @group cryptolog
 * @requires module memcache_storage
 */
class CryptologMemcacheStorageTest extends CryptologTest {

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = ['dblog', 'cryptolog', 'memcache_storage'];

  /**
   * Override the tests so we can check for memcache dependencies.
   */
  public function testCryptolog() {
    if (extension_loaded('memcache') || extension_loaded('memcached')) {
      parent::testCryptolog();
    }
  }

}
