<?php

namespace Drupal\cryptolog\Tests;

/**
 * Tests Cryptolog with the Redis contributed module.
 *
 * @group cryptolog
 * @requires module redis
 */
class CryptologRedisTest extends CryptologTest {

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = ['dblog', 'cryptolog', 'redis'];

  /**
   * Override the tests so we can check for redis dependencies.
   */
  public function testCryptolog() {
    if (extension_loaded('redis')) {
      parent::testCryptolog();
    }
  }

}
